import { HTMLAttributes } from "react";
/**
 * An optional alignment for the content within the footer. Since the majority
 * of dialog footers are used to contain action buttons, the default alignment
 * is near the end.
 *
 * @remarks \@since 3.1.0
 */
export declare type DialogFooterAlignment = "none" | "start" | "end" | "between" | "stacked-start" | "stacked-end";
export interface DialogFooterProps extends HTMLAttributes<HTMLDivElement> {
    /** {@inheritDoc DialogFooterAlignment} */
    align?: DialogFooterAlignment;
}
export declare const DialogFooter: import("react").ForwardRefExoticComponent<DialogFooterProps & import("react").RefAttributes<HTMLDivElement>>;
